Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.io.textresult
Class IVectorTextResult

    java.lang.Object
      infomat.io.textresult.IVectorTextResult

    public class IVectorTextResult

extends java.lang.Object

For loading and saving groupings to text.

Constructor Summary
`IVectorTextResult()`

Method Summary
`static void` | `printPartDescriptionIVectorXSL(java.io.PrintWriter pw, java.lang.String context)`
`static void` | `printPartIObjectGroupIVectorXSL(java.io.PrintWriter pw, java.lang.String context)`
`static void` | `printPartIVectorDTD(java.io.PrintWriter out)`
`static void` | `printPartRepresentationIVectorXSL(java.io.PrintWriter pw, java.lang.String context)`
`static
`<T extends IVectorIndex> void`
` | `saveIVector(java.io.PrintWriter out, IVector<T> vec, int numberOfObjects, java.lang.String unknownLocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IVectorTextResult

    public IVectorTextResult()

Method Detail

### printPartIVectorDTD

    public static void printPartIVectorDTD(java.io.PrintWriter out)

### printPartDescriptionIVectorXSL

    public static void printPartDescriptionIVectorXSL(java.io.PrintWriter pw,
                                                      java.lang.String context)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### printPartRepresentationIVectorXSL

    public static void printPartRepresentationIVectorXSL(java.io.PrintWriter pw,
                                                         java.lang.String context)
                                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### printPartIObjectGroupIVectorXSL

    public static void printPartIObjectGroupIVectorXSL(java.io.PrintWriter pw,
                                                       java.lang.String context)
                                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### saveIVector

    public static <T extends IVectorIndex> void saveIVector(java.io.PrintWriter out,
                                                            IVector<T> vec,
                                                            int numberOfObjects,
                                                            java.lang.String unknownLocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD